<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog/1.9"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog/1.9
                      http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-1.9.xsd">
					  
	<changeSet id="0001" author="adel.ka">
        <comment>create table border_crossing</comment>
		<sql>
			CREATE TABLE IF NOT EXISTS  ervu_dashboard.deferment_unified_data (
			id bigserial NOT NULL,
			recruit_id UUID NOT NULL,
			decision_number VARCHAR(255),
			deferment_type VARCHAR(255),
			start_date DATE,
			end_date DATE,
			reason_code VARCHAR(255),
			active BOOLEAN NOT NULL DEFAULT false,
			CONSTRAINT deferment_unified_data_pkey PRIMARY KEY (id)
			);

			COMMENT ON TABLE deferment_unified_data IS 'Унифицированные данные об отсрочках и правах на отсрочку';
			COMMENT ON COLUMN deferment_unified_data.id IS 'Уникальный идентификатор записи';
			COMMENT ON COLUMN deferment_unified_data.recruit_id IS 'ID призывника';
			COMMENT ON COLUMN deferment_unified_data.decision_number IS 'Номер решения';
			COMMENT ON COLUMN deferment_unified_data.deferment_type IS 'Тип отсрочки/освобождения';
			COMMENT ON COLUMN deferment_unified_data.start_date IS 'Дата начала действия';
			COMMENT ON COLUMN deferment_unified_data.end_date IS 'Дата окончания действия';
			COMMENT ON COLUMN deferment_unified_data.reason_code IS 'Код причины отсрочки';
			COMMENT ON COLUMN deferment_unified_data.active IS 'Активна ли запись';
		</sql>
	</changeSet>
</databaseChangeLog>